use std::collections::HashMap;
use bevy::prelude::*;

#[derive(Component)]
pub struct Health {
    pub hp: u32,
    pub max: u32,
}

#[derive(Component)]
pub struct Armor {
    pub ac: u32,
}

#[derive(Component)]
pub struct Named {
    pub name: String,
}

#[derive(Bundle)]
pub struct Creature {
    pub health: Health,
    pub armor: Armor,
    pub spatial: SpatialBundle,
}

#[derive(Component)]
pub struct PlayerCharacter {
    pub name: String,
}

#[derive(Component)]
pub struct Battle(pub HashMap<u32, Entity>);
